org.codehaus.plexus.classworlds.strategy

## Class AbstractStrategy

- java.lang.Object
- - org.codehaus.plexus.classworlds.strategy.AbstractStrategy

All Implemented Interfaces:
  Strategy

Direct Known Subclasses:
  OsgiBundleStrategy, ParentFirstStrategy, SelfFirstStrategy

    public abstract class AbstractStrategy
    extends Object
    implements Strategy

Author:
  Jason van Zyl

### Field Summary

Fields
`protected ClassRealm` `realm`

### Constructor Summary

Constructors
Constructor and Description
`AbstractStrategy(ClassRealm realm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Enumeration<URL>` `combineResources(Enumeration<URL> en1, Enumeration<URL> en2, Enumeration<URL> en3)`
`protected String` `getNormalizedResource(String name)`
`ClassRealm` `getRealm()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.classworlds.strategy.Strategy

`getResource, getResources, loadClass`

### Field Detail

#### realm

    protected ClassRealm realm

### Constructor Detail

#### AbstractStrategy

    public AbstractStrategy(ClassRealm realm)

### Method Detail

#### getNormalizedResource

    protected String getNormalizedResource(String name)

#### combineResources

    protected Enumeration<URL> combineResources(Enumeration<URL> en1,
                                                Enumeration<URL> en2,
                                                Enumeration<URL> en3)

#### getRealm

    public ClassRealm getRealm()

Specified by:
  `getRealm` in interface `Strategy`